
void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);

	switch(Dialog.CurrentNode)
	{
		case "First time":
			if(CheckAttribute(npchar, "quest.questflag"))
			{
				dialog.text = SelectDeliveryCitizenDialog(npchar);
				link.l1 = "Myślę, że dobiliśmy targu.";
				link.l1.go = "delivery_passenger_mission_accept";
				link.l2 = "Nie jestem zainteresowany.";
				link.l2.go = "delivery_passenger_mission_decline";
			}
			else
			{
				dialog.text = "Czego chcesz?";
				link.l1 = "Niczego.";
				link.l1.go = "exit";
			}

			NextDiag.TempNode = "First time";
		break;

		case "delivery_passenger_mission_accept":
			dialog.text = "Zaskarbiłeś sobie moją wdzięczność.";
			link.l1 = "Nie ma sprawy.";
			link.l1.go = "pass_accept_exit";
		break;

		case "delivery_passenger_mission_decline":
			dialog.text = "Jak sobie życzysz.";
			link.l1 = "Żegnam.";
			link.l1.go = "pass_decline_exit";
		break;

		case "drink_man":
			dialog.text = "Heep...! Znikaj!!! Zejdź mi z drogi!! Hep... Chcesz się dobrze zabawić, co? No to już, he, he! Hep! Co powiesz na za...zadowolenie mnie... Hep! Zapłacę ci... Hep, jednego piastra!!";
			link.l1 = "Jednego piastra?!";
			link.l1.go = "drink_man_1";
			link.l2 = "Chyba mnie z kimś pomyliłeś.";
			link.l2.go = "drink_man_1_3";
		break;

		case "drink_man_1":
			dialog.text = "Tak myślałem! Jesteś... jak to szło... o, mam! Dziewuszka świntuszka! Albo... chłopaczek! Diabła tam... Chodź, dobrze ci zapłacę!";
			link.l1 = "Dobrze mi zapłacisz?!";
			link.l1.go = "drink_man_1_1";
		break;

		case "drink_man_1_1":
			dialog.text = "Tak, a bo co? Z-za mało ci?! Uhh... ah, to ci dorzucę jeszcze jednego piastra! Hep!";
			link.l1 = "Mam dla ciebie inną ofertę. Może weźniesz te oba piastry i wsadzisz je sobie tam, gdzie słońce nie dochodzi?!";
			link.l1.go = "drink_man_1_2";
		break;

		case "drink_man_1_2":
			dialog.text = "Oooh! T-to znakomity pomysł! Czemu sam na to nie wpadłem?!";
			link.l1 = "Idź się z tym przespać.";
			link.l1.go = "exit";
			AddDialogExitQuest("drink_man_leave");
		break;

		case "drink_man_1_3":
			dialog.text = "Po-pomyłka? Mówisz, że się pomyliłem?! Nie jesteś posługaczem? Ah! Rozumiem! Je-jesteś bezczelnym posługaczem! Już ja cię nauczę! Hep!";
			link.l1 = "Lepiej uważaj, bo koszmar nauki może dopaść i ciebie!";
			link.l1.go = "drink_man_1_4";
		break;

		case "drink_man_1_4":
			dialog.text = "C-co?!! Ja-jak śmiesz mówić tak do mnie?! Żądam sad... satyfs... satysfakcji, tak, tego żądam! Sa-tys-fak-cji!";
			link.l1 = "Hej, słyszałeś to? Ten człowiek, który właśnie opuścił tawernę nazwał cię brudnym szczurem!";
			link.l1.go = "drink_man_1_5";
			link.l2 = "Satysfakcja? Nie ma sprawy, ale nie możemy walczyć tutaj, bo nas straże pojmają. Znam dobre miejsce na pojedynek, tuż za miastem.";
			link.l2.go = "drink_man_1_6";
		break;

		case "drink_man_1_5":
			dialog.text = "T-tak?! T-to mu tak dokopie, że doleci do Paryża!";
			link.l1 = "Goń go. Pospiesz się, bo ci ucieknie.";
			link.l1.go = "exit";
			AddDialogExitQuest("drink_man_leave");
		break;

		case "drink_man_1_6":
			dialog.text = "Pojedynek! Ha! Ja-jak za dawnych dobrych czasów! Zaczekam na ciebie poza miastem!";
			link.l1 = "Dobrze. Długo się nie naczekasz.";
			link.l1.go = "exit";
			AddDialogExitQuest("drink_man_duel");
		break;

		case "pass_accept_exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
			AcceptDeliveryPassengerQuest(npchar);
		break;

		case "pass_decline_exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
			DeletePassengerQuest(npchar);
		break;

		case "FencingTutorial":
			NextDiag.TempNode = "FencingTutorial";
			dialog.text = "Witaj, kapitanie! widzę, że nosisz broń - nie masz ochoty na lekcję fechtunku?";
			link.l1 = "Oczywiście, im lepszy bedę w tej sztuce, tym dalej zajdę.";
			link.l1.go = "FencingTutorial1";
			link.l2 = "Nie, dziękuję. Dobrze wiem, z której strony chwyta się za szablę.";
			link.l2.go = "exit";
		break;

		case "FencingTutorial1":
			dialog.text = "Podczas walki masz do dyspozycji cztery różne ciosy: cios szybki nie zrobi przeciwnikowi wielkiej krzywdy, ale i nie zużyje zbyt wiele twojej energii; cios średni zada większe obrażenia, ale zabierze ci więcej energii niż szybki;\npchnięcie będzie kosztować cię sporo energii, ale może przebić blok przeciwnika i spowodować ciężkie obrażenia; i wreszcie cios okrężny, który wymaga wiele energii, ale zadaje obrażenia wszystkim przeciwnikom w bezpośrednim otoczeniu.\nOprócz tego masz trzy możliwości obrony: blok, który uchroni przed ciosami przeciwnika z przodu; parada, która skieruje pchnięcie przeciwnika w bok i da sporą szansę na kontratak; oraz finta, która, jeśli zostanie wykonana dokładnie w momencie ataku wroga, pozwoli na wyprowadzenie szybkiego i nieoczekiwanego ciosu.";
			link.l1 = "Dziękuję za dobrą radę.";
			link.l1.go = "tutorial_exit";
		break;

		case "ShipSailingTutorial":
			NextDiag.TempNode = "ShipSailingTutorial";
			dialog.text = "Kapitanie, mogę powiedzieć ci parę słów o tym, jak kierować statkiem. Może się to przydać w długich podróżach.";
			link.l1 = "Chętnie posłucham.";
			link.l1.go = "ShipSailingTutorial1";
			link.l2 = "Nie, dzięki. Nie jestem jakimś tam żółtodziobem i doskonale znam swój statek.";
			link.l2.go = "exit";
		break;

		case "ShipSailingTutorial1":
			dialog.text = "Jest mnóstwo rodzajów statków, bardzo różniących się parametrami. Na przykład statki mające dużo żagli trójkątnych będą szybciej płynąć pod wiatr niż te, w których większość żagli jest prostokątna - ale za to te drugie są szybsze przy wietrze od tyłu.\nPodczas walki należy mieć na uwadze, że z opuszczonymi żaglami okręt ma mniejszą prędkość, ale większą zwrotność, i, co najważniejsze, zwinięte żagle są dobrze chronione przed ogniem przeciwnika. Postaraj się znaleźć dobrą lunetę i zawsze patrzeć, czym załadowane są wraże armaty - pomoże to w podejmowaniu słusznych decyzji w trakcie bitwy.\nBy zdobyć abordażem statek przeciwnika, należy manewrować tak, by twoja burta znalazła się możliwie równolegle do jego burty, a szybkość była możliwie zbliżona. Im więcej punktów dołożysz do umiejętności 'Abordaż', tym mniej restrykcyjne będą te ograniczenia.";
			link.l1 = "Dziękuję za informację.";
			link.l1.go = "tutorial_exit";
		break;

		case "HireCrewTutorial":
			NextDiag.TempNode = "HireCrewTutorial";
			dialog.text = "Załoga jest sercem każdego statku, więc kapitan powinien wiedzieć, gdzie i jak szukać wiernych ludzi.";
			link.l1 = "Oczywiście, z przyjemnością posłucham.";
			link.l1.go = "HireCrewTutorial1";
			link.l2 = "Nie musisz mnie uczyć.";
			link.l2.go = "exit";
		break;

		case "HireCrewTutorial1":
			dialog.text = "Zwykle ludzie, którzy planują zaciągnąć się na statek, przesiadują w tawernie, oczekując tam na ofery. Zamieniwszy słowo z właścicielem, możesz wywołać menu mustrowania załogi. W menu tym zobaczysz liczbę potencjalnych członków załogi każdego typu (marynarzy, kanonierów, żołnierzy i muszkieterów), których możesz zatrudnić, oraz wysokość ich żołdu.\nOprócz tego możesz sprawdzić morale i doświadczenie twojej załogi, a także ludzi, których można zamustrować. Jeżeli twoja załoga jest niedoświadczona albo słaba duchem, zamustrowanie doświadczonych marynarzy z wysokim morale poprawi nastroje na twoim statku.\nJeżeli chcesz dowiedzieć się więcej o którymś z elementów interfejsu, kliknięcie na nim prawym przyciskiem myszy wyświetli podpowiedź kontekstową.";
			link.l1 = "Dziękuję za pomoc.";
			link.l1.go = "tutorial_exit";
		break;

		case "OfficersTutorial":
			NextDiag.TempNode = "OfficersTutorial";
			dialog.text = "Kapitanie, czy chciałbyś dowiedzieć się trochę więcej o tym, jak wynajmowac oficerów?";
			link.l1 = "Oczywiście, zaufani oficerowie są podstawą dobrej załogi.";
			link.l1.go = "OfficersTutorial1";
			link.l2 = "Dziękuję, lecz nie. Już to wiem.";
			link.l2.go = "exit";
		break;

		case "OfficersTutorial1":
			dialog.text = "Oficerowie zwykle przychodzą do tawerny w poszukiwaniu pracy. W rozmowie z właścicielem możesz wywołać menu werbunku oficerów. Równocześnie w tawernie znajduje się nie więcej niż trzech oficerów - doświadczeni i wyszkoleni ludzie zdarzają się rzadko. Oficerowie mają dokładnie takie same cechy, jak i twoja postać - tak samo jak ty otrzymują doświadczenie i zdobywają wyższe rangi.\nCechy te, jak również wysokość żołdu i wskaźnik lojalności, widoczne są w menu. O tym ostatnim należy opowiedzieć osobno - każdy oficer ma indywidualny charakter oraz zasady, którymi się kieruje. Jeżeli twoje postępowanie będzie z nimi sprzeczne, jego lojalność zacznie spadać, aż w końcu taki człowiek odejdzie.\nJeżeli chcesz dowiedzieć się więcej o którymś z elementów interfejsu, kliknięcie na nim prawym przyciskiem myszy wyświetli podpowiedź kontekstową.";
			link.l1 = "Dzięki za radę.";
			link.l1.go = "tutorial_exit";
		break;

		case "ShipUpgradeTutorial":
			NextDiag.TempNode = "ShipUpgradeTutorial";
			dialog.text = "Kapitanie, jeśli chcesz, opowiem ci, jak można ulepszyć statek.";
			link.l1 = "Oczywiście, to może być ciekawe.";
			link.l1.go = "ShipUpgradeTutorial1";
			link.l2 = "Mój statek jest najnowocześniejszy na Karaibach. Wątpię, bym dowiedział się czegoś nowego.";
			link.l2.go = "exit";
		break;

		case "ShipUpgradeTutorial1":
			dialog.text = "Statek można unowocześnić w stoczni. Interfejs modernizacji pozwala na poprawę parametrów kadłuba i żagli, a także typu, jakości i liczby armat twojego statku.\nDla kadłuba i żagli dostępne są dwa poziomy ulepszeń, z których każdy ma swoje wady i zalety. Ulepszanie armat ma tylko jeden minus - cenę. Warto wiedzieć, że istnieją dwa gatunki dział - armaty i kolubryny. Kolubryny strzelają dalej niż armaty, ale powodują mniejsze uszkodzenia i dłużej się je ładuje.\nJeżeli chcesz dowiedzieć się więcej o którymś z elementów interfejsu, kliknięcie na nim prawym przyciskiem myszy wyświetli podpowiedź kontekstową.";
			link.l1 = "Dzięki za pomoc.";
			link.l1.go = "tutorial_exit";
		break;

		case "TradeOperationsTutorial":
			NextDiag.TempNode = "TradeOperationsTutorial";
			dialog.text = "Jeżeli pragniesz opanować trudną sztukę handlu, mogę udzielić ci paru rad, kapitanie.";
			link.l1 = "Wiedzy nigdy za dużo, szczególnie gdy chodzi o pieniądze.";
			link.l1.go = "TradeOperationsTutorial1";
			link.l2 = "Po co kupować i sprzedawać, gdy można zabrać siłą? Oczywiście wrogom naszego wielkiego mocarstwa.";
			link.l2.go = "exit";
		break;

		case "TradeOperationsTutorial1":
			dialog.text = "Handel na wyspach jest bardzo rozwinięty i dochodowy - jedne kolonie produkują towary, które poszukiwane są w innych, a kupcy ciągle wysyłają konwoje do Europy, by za szalone pieniądze sprzedać tam to, co tutaj kosztuje grosze.\nW każdej kolonii znajdziesz sklep, w którym można sprzedawać i kupować towary. Na niebiesko zaznaczone są te, które kolonia importuje, na zielono te, które eksportuje. Oczywiście, ceny na dany towar będą niższe w tej kolonii, która go wytwarza i eksportuje, a wyższe w tej, która go sprowadza.\nJeżeli chcesz dowiedzieć się więcej o którymś z elementów interfejsu, kliknięcie na nim prawym przyciskiem myszy wyświetli podpowiedź kontekstową.";
			link.l1 = "Dzięki za radę.";
			link.l1.go = "tutorial_exit";			
		break;

		case "DeliveryTradeTutorial":
			NextDiag.TempNode = "DeliveryTradeTutorial";
			dialog.text = "Jak tam życie, kapitanie? Czy nie chciałbyś dowiedzieć się więcej o przewozie ładunków?";
			link.l1 = "Z chęcią posłucham.";
			link.l1.go = "DeliveryTradeTutorial1";
			link.l2 = "Nie, dziękuję, znam swoją pracę.";
			link.l2.go = "exit";
		break;

		case "DeliveryTradeTutorial1":
			dialog.text = "Zadania przewozu ładunków dzielą się na dwie grupy: dostarczenie czegoś z kolonii, w której dostałeś zlecenie, do innej, oraz odwrotnie - przywiezienie ładunku z innej kolonii do tej, w której otrzymałeś zadanie. Gdy masz przetransportować towar do innej kolonii, twoja załoga sama załaduje go po otrzymaniu zadania, a odbiorcą jest kupiec w sklepie docelowej kolonii.\nNatomiast jeśli musisz dostarczyć towar z innej kolonii, załadowanie go nastąpi po rozmowie z kupcem z tamtejszego sklepu, a odbiorcą będzie człowiek, od którego przyjąłeś zlecenie. Miej jednak na uwadze, że jeśli na skutek uszkodzenia statku stracisz część towaru, będziesz musiał dokupić niezbędną ilość za własne pieniądze, aby pomyślnie zakończyć zadanie.\nNad głową osoby, która może zlecić ci zadanie zawsze wisi wykrzyknik, a nad głową człowieka, z którym musisz porozmawiać, by kontynuować misję albo otrzymać nagrodę - pytajnik.";
			link.l1 = "Dzięki za radę.";
			link.l1.go = "tutorial_exit";
		break;

		case "DeliveryItemTutorial":
			NextDiag.TempNode = "DeliveryItemTutorial";
			dialog.text = "Kapiyanie, chcesz posłuchać o misjach kurierskich? Może to i nie fascynujące zajęcie, ale i niespecjalnie niebezpieczne.";
			link.l1 = "Jasne, powiedz mi co wiesz.";
			link.l1.go = "DeliveryItemTutorial1";
			link.l2 = "Nie, dziękuję, wiem o tym wszystko.";
			link.l2.go = "exit";
		break;

		case "DeliveryItemTutorial1":
			dialog.text = "Ludzie, którzy zlecą ci takie zadanie, zazwyczaj chcą, abyś dostarczył dany przedmiot w jakieś miejsce, albo zabrał go z innej wyspy i przewiózł do nich. Zleceniodawcy takich zadań, a także ososby, które mogą ci pomóc w ich wykonaniu, zazwyczaj przesiadują w tawernach. Po dostarczeniu przedmiotu musisz wrócić do zleceniodawcy po nagrodę.\nNad głową osoby, która może zlecić ci zadanie zawsze wisi wykrzyknik, a nad głową człowieka, z którym musisz porozmawiać, by kontynuować misję, albo otrzymać nagrodę - pytajnik.";
			link.l1 = "Dzięki za radę.";
			link.l1.go = "tutorial_exit";
		break;


		case "DeliveryPassengerTutorial":
			NextDiag.TempNode = "DeliveryPassengerTutorial";
			dialog.text = "Kapitanie, mogę opowiedzieć ci conieco o przewożeniu pasażerów, jeżeli oczywiście cię to interesuje.";
			link.l1 = "A opowiedz, czemu by nie.";
			link.l1.go = "DeliveryPassengerTutorial1";
			link.l2 = "Jakoś dam sobie radę bez nich - jestem wolnym kapitanem, a nie nędznym przewoźnikiem.";
			link.l2.go = "exit";
		break;

		case "DeliveryPassengerTutorial1":
			dialog.text = "Człowieka, który musi gdzieś dotrzeć, łatwo jest znaleźć ma miejskich ulicach. Z kolei gubernatorzy czasem wynajmują statki, aby przewieźć gdzieś ważne osobistości – tacy pasażerowie zwykle sami wchodzą na pokład, jeżeli zgodzisz się im pomóc. Czasem możesz zostać poproszony o zabranie kogoś z innej kolonii i przywiezienie go tam, gdzie otrzymałeś zadanie. Tacy pasażerowie zwykle będą czekać w tawernie.\nPo dostarczeniu pasażera na miejsce, możesz udać się po nagrodę - jeżeli zabrałeś go z ulicy, to odszukasz go w porcie przeznaczenia. Jeśli zadanie dostałeś od gubernatora, to on będzie płacił.\nNad głową osoby, która może zlecić ci zadanie, zawsze wisi wykrzyknik, a nad głową człowieka, z którym musisz porozmawiać, by kontynuować misję albo otrzymać nagrodę - pytajnik.";
			link.l1 = "Dzięki za pomoc.";
			link.l1.go = "tutorial_exit";
		break;

		case "ShipEscortTutorial":
			NextDiag.TempNode = "ShipEscortTutorial";
			dialog.text = "Witaj kapitanie! Czy chcesz, bym opowiedział ci, jak konwojować statki?";
			link.l1 = "Z przyjemnością posłucham.";
			link.l1.go = "ShipEscortTutorial1";
			link.l2 = "Nie, dzięki, znam się na swoim fachu.";
			link.l2.go = "exit";
		break;

		case "ShipEscortTutorial1":
			dialog.text = "Zlecenia konwojowania statków dzielą się zwykle na dwa rodzaje - eskortowanie statku z kolonii, w której otrzymałeś zadanie, do innej, albo na odwrót - eskortowanie statku z innej kolonii do tej, gdzie dostałeś zadanie. W zależności od rodzaju zadania dostaniesz je w tawernie albo u gubernatora.\nJeżeli musisz konwojować statek do innej kolonii, dołączy on do ciebie, gdy wyjdziesz w morze. Jeżeli musisz spotkać się z nim w innej kolonii, po dopłynięciu na miejsce powinieneś wstąpić do tawerny i zamienić słowo z jego kapitanem. Nagrodę za pomyślnie wykonane zlecenie dostaniesz od tego, kto cię zatrudnił.\nNad głową osoby, która może zlecić ci zadanie, zawsze wisi wykrzyknik, a nad głową człowieka z którym musisz porozmawiać, by kontynuować misję albo otrzymać nagrodę - pytajnik.";
			link.l1 = "Dziękuję za wykład.";
			link.l1.go = "tutorial_exit";
		break;

		case "SinkShipTutorial":
			NextDiag.TempNode = "SinkShipTutorial";
			dialog.text = "Kapitanie, pragniesz może dowiedzieć się, jak posyłać na dno statki? Nieźle się na tym znam.";
			link.l1 = "A kto by pogardził dobrą radą! Opowiadaj.";
			link.l1.go = "SinkShipTutorial1";
			link.l2 = "Zatopiłem więcej statków, niż ty złapałeś pcheł w swojej czuprynie! Nie potrzebuję rad.";
			link.l2.go = "exit";
		break;

		case "SinkShipTutorial1":
			dialog.text = "Zwycięstwo w morskiej bitwie nie przychodzi łatwo, szczególnie, gdy wróg ma o wiele więcej armat i żołnierzy niż ty. Po otrzymaniu takiego zlecenia, popłyń w kierunku wyspy, w okolicach której widziano poszukiwany statek. Jeżeli zdążysz na czas, wychodząc w morze  zobaczysz statek niedaleko wyspy. Zatop go i wróć po nagrodę do tego, kto zlecił ci to zadanie.\nNad głową osoby, która może zlecić ci zadanie, zawsze wisi wykrzyknik, a nad głową człowieka, z którym musisz porozmawiać, by kontynuować misję albo otrzymać nagrodę - pytajnik.";
			link.l1 = "Dzięki za radę.";
			link.l1.go = "tutorial_exit";
		break;

		case "CaptureShipTutorial":
			NextDiag.TempNode = "CaptureShipTutorial";
			dialog.text = "Kapitanie,mogę ci powiedzieć o przejmowaniu innych statków. To niebezpieczne zadanie i najmniejszy błąd może oznaczać śmierć twojej załogi i ciebie samego.";
			link.l1 = "Jasne, mów szybko, co wiesz.";
			link.l1.go = "CaptureShipTutorial1";
			link.l2 = "Nie, dziękuję. Już wiem wszystko na ten temat.";
			link.l2.go = "exit";
		break;

		case "CaptureShipTutorial1":
			dialog.text = "Zanim zgodzisz się na wykonanie takiej misji, rozsądnie byłoby przygotować się do abordażu. Gdy już zamustrujesz wystarczającą ilość żołnierzy i muszkieterów, podnoś żagle i płyń ku wyspie, obok tkórej ostatnio widziano cel.\nJeśli zrobisz to o czasie, po znalezieniu się na wodach okalających wyspę, zobaczysz poszukiwany statek. Dokonaj abordażu, a osoba, albo przedmiot, którego poszukiwanie i przejęcie ci zlecono, automatycznie zostanie przeniesiony do twojej ładowni i możesz wracać po nagrodę.\nNad głową osoby, która może zlecić ci zadanie zawsze wisi wykrzyknik, a nad głową człowieka, z którym musisz porozmawiać, by kontynuować misję albo otrzymać nagrodę - pytajnik.";
			link.l1 = "Dzięki za radę.";
			link.l1.go = "tutorial_exit";
		break;

		case "SlavesTutorial":
			NextDiag.TempNode = "SlavesTutorial";
			dialog.text = "Kapitanie, czy chciałbyś może dowiedzieć się więcej o handlu niewolnikami? Wielu pogardza tym zajęciem, ale skrycie zazdrości dochodów handlarzom żywym towarem.";
			link.l1 = "Dochód się zawsze przyda, opowiadaj.";
			link.l1.go = "SlavesTutorial1";
			link.l2 = "Idź w diabły, kanalio, pókiś cały! Miejsce takich jak ty jest na rei!";
			link.l2.go = "exit";
		break;

		case "SlavesTutorial1":
			dialog.text = "Zlecenie dostarczenia określonej liczby niewolników można otrzymać od handlarzy niewolników, którzy często kręcą się po ulicach miast. Niewolników można zdobyć, napadając statki i biorąc do niewoli pozostałych przy życiu marynarzy. Po zgromadzeniu potrzebnej liczby niewolników, możesz, w zamian za nagrodę, oddać ich handlarzowi żywym towarem, od którego dostałeś zadanie.\nNad głową osoby, która może zlecić ci zadanie, zawsze wisi wykrzyknik, a nad głową człowieka z którym musisz porozmawiać, by kontynuować misję albo otrzymać nagrodę - pytajnik.";
			link.l1 = "Ha! Niezły sposób, by zdobyć trochę grosza! Do diaska, ile kasy wywaliłem za burtę po abordażach!";
			link.l1.go = "tutorial_exit";
		break;

		case "tutorial_exit":
			NextDiag.CurrentNode = "First Time";
			DialogExit();
			CompleteTutorial(npchar);
		break;

		case "Exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;
	}
}


